Subject: Re: [3/4] [IPSEC] Add route element to xfrm_dst

From: Patrick McHardy <[email-masked]>
Date: Tue, 15 Mar 2005 20:05:43 +0100

Herbert Xu wrote:
> On Mon, Mar 14, 2005 at 12:52:16PM +0100, Patrick McHardy wrote:
>
>>Since the tunnel dst is not necessarily the last in the bundle anymore,
>>we might miss to initialize some dsts, for example with ipcomp/tunnel +
>>esp/transport. If we have nested tunnels we'll fiddle with entries in
>>the routing cache.
> 
> 
> Sorry, but I don't get it :) First of all what do you mean by the
> tunnel dst?
> 
> If you mean &rt->u.dst then as far as I can see it's still the last
> child in the bundle.  It may also appear in ->route elements earlier
> on but that does not come into play in this loop.

You're right, I must have misread the code somehow. Sorry for the noise.

Regards
Patrick